#include <nlohmann/json.hpp>
#include <fstream>
#include <iostream>
#include <vector>
#include <string>

using nlohmann::json;
using std::string;

int main() {
   std::ifstream f1("cards/template.json");
   json data = json::parse(f1);

   std::ifstream f2("cards/traits.json");
   json traits = json::parse(f2);
   

   std::ifstream f3("cards/factions.json");
   json factions = json::parse(f3);

   std::ifstream f4("cards/lines.json");
   json lines = json::parse(f4);

   for(auto f : factions) {
      string command = "mkdir cards/" + string(f) + "/images";
      std::system(command.c_str());
   }

   //std::ofstream out("cards/"+factions[faction]+"/"+name+".json");
   return 0;
}
